package main;

import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.imageio.ImageIO;

public class Art {
	
	public static class Bitmap {
		public int[] pixels;
		public int width, height;
		
		public Bitmap(int w, int h, int[] pixels) {
			this.width = w;
			this.height = h;
			this.pixels = pixels;
		}
	}
	
	public static final Bitmap start = loadImage("/menu/start.png");
	public static final Bitmap logo = loadImage("/menu/pixavive_logo.png");
	public static final Bitmap options = loadImage("/menu/options.png");
	
	public static final Bitmap difficulty_option = loadImage("/menu/difficulty_option.png");
	public static final Bitmap ai_easy = loadImage("/menu/ai_easy.png");
	public static final Bitmap ai_normal = loadImage("/menu/ai_normal.png");
	public static final Bitmap ai_hard = loadImage("/menu/ai_hard.png");
	public static final Bitmap ai_harder = loadImage("/menu/ai_harder.png");

	public static final Bitmap back_option = loadImage("/menu/back_option.png");
	
	public static final Bitmap retry_option = loadImage("/menu/retry_option.png");
	public static final Bitmap yes_option = loadImage("/menu/yes.png");
	public static final Bitmap no_option = loadImage("/menu/no.png");

	public static final Bitmap cooldown = loadImage("/hud/cooldown.png");

	private static final Bitmap loadImage(String filename) {
		Bitmap result = null;
		try {
			BufferedImage img = null;
			img = ImageIO.read(Art.class.getResource(filename));
			if (img != null) {
				result = new Bitmap(img.getWidth(), img.getHeight(), img.getRGB(0, 0, img.getWidth(), img.getHeight(), null, 0, img.getWidth()));
			}
		}
		catch (IOException e) {
			System.out.println("Unable to load image " + filename);
		}
		return result;
	}

}
