package pathfinding;

public class PathNode implements Comparable<PathNode> {
	public PathNode parent;
	public int x;
	public int y;
	public double distanceFromStart;
	public double heuristicDistanceToGoal;
	public boolean isObstacle;
	
	public PathNode(int x, int y) {
		this.x = x;
		this.y = y;
	}
	
	@Override
	public int compareTo(PathNode other) {
		double totalDistanceToGoal = this.distanceFromStart + this.heuristicDistanceToGoal;
		double otherDistanceToGoal = other.distanceFromStart + other.heuristicDistanceToGoal;
		if (totalDistanceToGoal < otherDistanceToGoal)
			return -1;
		if (totalDistanceToGoal > otherDistanceToGoal)
			return 1;
		return 0;
	}
	
	public boolean equals(PathNode other) {
		return this.x == other.x && this.y == other.y;
	}
	
	public boolean isObstacle() {
		return this.isObstacle;
	}
}
